%global forgeurl https://github.com/fboender/multi-git-status
%global commit   2e6049d4286bf26ceabf5c6ec174bd6f5fc84b32

%forgemeta

Name:            multi-git-status
Version:         1.0
Release:         1%{?dist}
Summary:         Show uncommitted, untracked and unpushed changes for multiple Git repos
URL:             %{forgeurl}
Source:          %{forgesource}
License:         MIT
BuildArch:       noarch

BuildRequires:   ShellCheck
Requires:        coreutils
Requires:        findutils
Requires:        gawk
Requires:        git
Requires:        sed

%description
Show uncommitted, untracked and unpushed changes for multiple Git repos.

multi-git-status shows:
* Uncommitted changes if there are unstaged or uncommitted changes on the
  checked out branch.
* Untracked files if there are untracked files which are not ignored.
* Needs push (BRANCH) if the branch is tracking a (remote) branch which is
  behind.
* Needs upstream (BRANCH) if a branch does not have a local or remote
  upstream branch configured. Changes in the branch may otherwise
  never be pushed or merged.
* Needs pull (BRANCH) if the branch is tracking a (remote) branch which is
  ahead. This requires that the local git repo already knows about the remote
  changes (i.e. you've done a fetch), or that you specify the -f option.
  Multi-git-status does NOT contact the remote by default.
* X stashes if there are stashes.

%prep
%forgesetup

%build

%install
install -p -D -m755 mgitstatus %{buildroot}%{_bindir}/mgitstatus

%check
bash -c ". build.sla && test"

%files
%{_bindir}/mgitstatus
%license LICENSE.txt
%doc README.md
%doc screenshot.png

%changelog
* Sat Jul 27 2019 Brian (bex) Exelbierd <bex@pobox.com> - 1.0-1.20190728git2e6049d
- Initial package
